GuideLab API

Delete category guide media

Remove the decision-guide media for a product category from R2 storage and clear the guideMediaKey reference.

DELETE
/categories/{id}/guide-media

Remove the decision-guide media for a product category from R2 storage and clear the guideMediaKey reference.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Category ID

Response Body

application/json

curl -X DELETE "https://example.com/categories/550e8400-e29b-41d4-a716-446655440000/guide-media"
{  "category": {    "id": "string",    "labId": "string",    "parentId": "string",    "name": "string",    "subtitle": "string",    "description": "string",    "icon": "string",    "imageKey": "string",    "imageAspectRatio": "square",    "guideTitle": "string",    "guideBody": "string",    "guideMediaKey": "string",    "guideMediaType": "image",    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  },  "message": "string"}
Empty
Empty
Empty
Empty